# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-06-05 23:44
from __future__ import unicode_literals

import ado.media.fields.related
import autoslug.fields
from django.db import migrations, models
import positions.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0007_add_original_filename'),
    ]

    operations = [
        migrations.CreateModel(
            name='Artist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, help_text='Unique text identifier used in urls.', max_length=200, populate_from='name', unique=True)),
                ('published', models.BooleanField(default=True, help_text='Whether to publish on the site.')),
                ('bio', models.TextField(blank=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('sort', positions.fields.PositionField(default=0, help_text='Lower numbers will appear first on site.')),
                ('files', ado.media.fields.related.RelatedFilesField(through='media.FileRelation', to='media.File', verbose_name='Files')),
                ('images', ado.media.fields.related.RelatedImagesField(through='media.ImageRelation', to='media.Image', verbose_name='Images')),
            ],
            options={
                'ordering': ('sort', 'id'),
            },
        ),
    ]
